<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedEntities/Triggers/ManTrigger.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/dd0/_man_trigger_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ManTrigger.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/dd0/_man_trigger_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d7/d05/class_man_trigger.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d05/class_man_trigger.html">ManTrigger</a> : <a class="code hl_class" href="../../d1/d4b/class_trigger.html">Trigger</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">    4</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">EOnInit</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">int</span> extra)</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">SetExtents</a>(<span class="stringliteral">&quot;-2 -2 -2&quot;</span>, <span class="stringliteral">&quot;2 2 2&quot;</span>);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">    9</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">CanAddObjectAsInsider</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">return</span> <span class="keywordtype">object</span>.IsMan();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }   </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>};</div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="aclass_man_trigger_html"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html">ManTrigger</a></div><div class="ttdoc">Trigger only accepting Object which IsMan()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00002">ManTrigger.c:3</a></div></div>
<div class="ttc" id="aclass_man_trigger_html_a6d70af79ac725b1e247b9a99ed59e073"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">ManTrigger::EOnInit</a></div><div class="ttdeci">override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00004">ManTrigger.c:4</a></div></div>
<div class="ttc" id="aclass_man_trigger_html_aed8d14ddc3f09000417fb489d8db8aa7"><div class="ttname"><a href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">ManTrigger::CanAddObjectAsInsider</a></div><div class="ttdeci">override protected bool CanAddObjectAsInsider(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dd0/_man_trigger_8c_source.html#l00009">ManTrigger.c:9</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_trigger_html"><div class="ttname"><a href="../../d1/d4b/class_trigger.html">Trigger</a></div><div class="ttdoc">Scripted Trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d2e/_hologram_8c_source.html#l01751">Hologram.c:1752</a></div></div>
<div class="ttc" id="aclass_trigger_html_a73c5812d3476cee4fa5d862ce9c03265"><div class="ttname"><a href="../../d1/d4b/class_trigger.html#a73c5812d3476cee4fa5d862ce9c03265">Trigger::SetExtents</a></div><div class="ttdeci">void SetExtents(vector mins, vector maxs)</div><div class="ttdoc">Set the size of the Trigger, avoid using SetCollisionBox directly.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db2/_trigger_8c_source.html#l00115">Trigger.c:115</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_d0a9ed3069b91726da9f1927000078f9.html">ScriptedEntities</a></li><li class="navelem"><a class="el" href="../../dir_6078c131c69a1ce41efd829f012f12be.html">Triggers</a></li><li class="navelem"><a class="el" href="../../d1/dd0/_man_trigger_8c.html">ManTrigger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
